<!--
  ____  __  __  ____   __  __ _____ ____ ___    _       ____ ___
 | __ )|  \/  |/ ___| |  \/  | ____|  _ \_ _|  / \     / ___/ _ \
 |  _ \| |\/| | |  _  | |\/| |  _| | | | | |  / _ \   | |  | | | |
 | |_) | |  | | |_| | | |  | | |___| |_| | | / ___ \  | |__| |_| |
 |____/|_|  |_|\____| |_|  |_|_____|____/___/_/   \_\  \____\___(_)

-->
<?php
    global $template_class, $page_name;
?>
<!DOCTYPE html>
<!--[if IE 7]>
<html class="ie ie7" <?php language_attributes(); ?>>
<![endif]-->
<!--[if IE 8]>
<html class="ie ie8" <?php language_attributes(); ?>>
<![endif]-->
<!--[if !(IE 7) | !(IE 8) ]><!-->
<html <?php language_attributes(); ?>>
<!--<![endif]-->
<head>
    <meta charset="<?php bloginfo('charset'); ?>">
    <meta name="viewport" content="width=device-width,initial-scale=1, user-scalable=no">
    <title><?php is_home() ? bloginfo('description') : wp_title(''); ?> - <?php bloginfo('name'); ?></title>
    <link rel="shortcut icon" href="<?php echo get_template_directory_uri(); ?>/favicon.ico" type="image/x-icon">
    <script type="text/javascript" src="<?php echo get_template_directory_uri(); ?>/js/jquery.min.js"></script>
    <link rel="stylesheet" href="https://use.typekit.net/lap6pdh.css">
    <link rel="apple-touch-icon" sizes="57x57" href="<?php echo get_template_directory_uri(); ?>/images/apple-icon-57x57.png">
    <link rel="apple-touch-icon" sizes="60x60" href="<?php echo get_template_directory_uri(); ?>/images/apple-icon-60x60.png">
    <link rel="apple-touch-icon" sizes="72x72" href="<?php echo get_template_directory_uri(); ?>/images/apple-icon-72x72.png">
    <link rel="apple-touch-icon" sizes="76x76" href="<?php echo get_template_directory_uri(); ?>/images/apple-icon-76x76.png">
    <link rel="apple-touch-icon" sizes="114x114" href="<?php echo get_template_directory_uri(); ?>/images/apple-icon-114x114.png">
    <link rel="apple-touch-icon" sizes="120x120" href="<?php echo get_template_directory_uri(); ?>/images/apple-icon-120x120.png">
    <link rel="apple-touch-icon" sizes="144x144" href="<?php echo get_template_directory_uri(); ?>/images/apple-icon-144x144.png">
    <link rel="apple-touch-icon" sizes="152x152" href="<?php echo get_template_directory_uri(); ?>/images/apple-icon-152x152.png">
    <link rel="apple-touch-icon" sizes="180x180" href="<?php echo get_template_directory_uri(); ?>/images/apple-icon-180x180.png">
    <link rel="icon" type="image/png" sizes="192x192"  href="<?php echo get_template_directory_uri(); ?>/images/android-icon-192x192.png">
    <link rel="icon" type="image/png" sizes="32x32" href="<?php echo get_template_directory_uri(); ?>/images/favicon-32x32.png">
    <link rel="icon" type="image/png" sizes="96x96" href="<?php echo get_template_directory_uri(); ?>/images/favicon-96x96.png">
    <link rel="icon" type="image/png" sizes="16x16" href="<?php echo get_template_directory_uri(); ?>/images/favicon-16x16.png">
    <link rel="manifest" href="<?php echo get_template_directory_uri(); ?>/images/manifest.json">
    <meta name="msapplication-TileColor" content="#ffffff">
    <meta name="msapplication-TileImage" content="<?php echo get_template_directory_uri(); ?>/images/ms-icon-144x144.png">
    <meta name="theme-color" content="#ffffff">
    <script>window.home_url = '<?php echo home_url(); ?>';</script>
    <?php wp_head(); ?>
</head>
<body class="<?php echo $template_class; ?>">

<div id="wrapper">
    <div id="header">
        <div class="container">
            <div id="logo">
                <h1>
                    <a href="<?php echo home_url(); ?>/" title="<?php bloginfo('description') ?>"><?php bloginfo('name'); ?></a>
                </h1>
            </div>
            <div id="navigation">
                <nav>
                    <?php
                        wp_nav_menu(array(
                            'theme_location' => 'primary',
                            'container' => '',
                            'menu_class' => 'main-menu hide-on-med-and-down'
                        ));
                    ?>
                    <?php
                        wp_nav_menu(array(
                            'theme_location' => 'primary',
                            'container' => '',
                            'menu_id' => 'slide-out',
                            'menu_class' => 'side-nav'
                        ));
                    ?>
                    <a href="#" data-activates="slide-out" class="button-collapse"><i class="mdi-navigation-menu"></i></a>
                </nav>
            </div>
            <div class="contact_info">
                <a href="tel:313-841-8950" class="btn">313 - 841 - 8950</a>
                <a href="mailto:fontanaforest@aol.com" class="btn">Email</a>
            </div>
            <div class="clear"></div>
        </div>
    </div>
