jQuery(document).ready(function($){

    $(".button-collapse").sideNav({
        menuWidth: 300, // Default is 240
        edge: 'left', // Choose the horizontal origin
        closeOnClick: true // Closes side-nav on <a> clicks, useful for Angular/Meteor
    });

    $(window).load(function(){
        $(".animate").each(function(){
            if ($(this).data("delay"))
            {
                $(this).css("animation-delay", $(this).data("delay")+"s");
            }
            if ($(window).width() > 1050)
            {
                $(this).viewportChecker({
                    classToAdd: 'animated '+$(this).data("animation"),
                    classToRemove: 'hidden',
                    offset: 100,
                    callbackFunction: function(){
                        console.log($(window).scrollTop());
                    }
                });
            } else {
                $(this).removeClass("hidden animate").addClass("animated");
            }
        });
    });


    function validateEmail(email) {
        var re = /^(([^<>()[\]\\.,;:\s@\"]+(\.[^<>()[\]\\.,;:\s@\"]+)*)|(\".+\"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/;
        return re.test(email);
    }
    $(document).on("click", ".form-validation .error_msg", function(){
        $(this).remove();
    });
    $(document).on("click", ".form-validation .required", function(){
        $(this).removeClass("has-error");
        $(this).parent().find(".error_msg").remove();
    });
    $(document).on("submit", ".form-validation", function(e){
        e.stopPropagation();
        var form = $(this);
        var error = false;
        form.removeClass("error");
        form.find(".has-error").removeClass("has-error");
        form.find(".error_msg").remove();
        form.find(".required:visible").each(function(){
            if ($(this).val() === "")
            {
                $(this).addClass("has-error").before('<span class="error_msg">This field is required.</span>');
                error = true;
            } else if ($(this).hasClass("email") && !validateEmail($(this).val()))
            {
                $(this).addClass("has-error").before('<span class="error_msg">Your email address is invalid.</span>');
                error = true;
            }
        });
        if (error)
        {
            form.addClass("error");
            return false;
        }
    });
    $(document).on("submit", "form#contact_form, form.contact_form", function(){
        var form = $(this);
        form.find(".message_success, .message_fail").slideUp("fast");
        $(".form_container").removeClass("success");
        if (!form.hasClass("error"))
        {
            $.post(form.attr("action"), form.serialize(), function(msg){
                if (msg == "success"){
                    $(".message_success").slideDown("fast");
                    setTimeout(function(){
                        $(".message_success").slideUp("fast");
                    }, 4000);
                    $(".form_container").addClass("success");
                    form[0].reset();
                } else {
                    $(".message_fail").slideDown("fast");
                }
            });
        }
        return false;
    });

    $(".carousel").bxSlider({
        auto: true,
        pager: false,
        controls: true,
        minSlides: 1,
        maxSlides: 3,
        slideWidth: 190,
        slideMargin: 40
    });

    if ($(window).width() <= 1050) {
        $(".slider").bxSlider({
            auto: true,
            pager: false,
            controls: true,
            adaptiveHeight: true
        });
    } else {
        $(".slider").bxSlider({
            auto: true,
            pager: false,
            controls: true
        });
    }

    $("nav ul li a[href^='#']").click(function(){
        var target = $(this).attr("href");
        if ($(target).size() > 0) {
            $("html, body").animate({ scrollTop: $(target).offset().top }, "slow");
            if ($(window).width() <= 1050)
                $('.button-collapse').sideNav('hide');
        } else {
            location = window.home_url;
        }
        return false;
    });

});
